[ VIGRA Homepage | Function Index | Class Index | Namespaces | File List | Main Page ]

Public Member Functions | List of all members
Metric< T > Class Template Reference

Functor to compute a metric between two vectors. More...

`#include <vigra/metrics.hxx>`

## Public Member Functions

| Metric (const MetricType metricType=ManhattanMetric)
| Construct functor for the given metric.

## Detailed Description

template<class T>
class vigra::metrics::Metric< T >

Functor to compute a metric between two vectors.

The value type of the metric is given by template parameter T. Supported metrics are defined in MetricType. The functor's argument must support begin() and end() to create an STL range.

## Constructor & Destructor Documentation

## ◆ Metric()

template<class T>

Metric | ( | const MetricType | metricType = ManhattanMetric< T > | ) |

Construct functor for the given metric.

The value type of the metric is given by template parameter T. Supported metrics are defined in MetricType.

The documentation for this class was generated from the following file:

- vigra/metrics.hxx

© Ullrich Köthe (ullrich.koethe@iwr.uni-heidelberg.de) Heidelberg Collaboratory for Image Processing, University of Heidelberg, Germany | html generated using doxygen and Python vigra 1.12.4